SyncML Datastore Server Object Internals
libsyncml API Internals » libsyncml Object API Internals

The public part. More...

Collaboration diagram for SyncML Datastore Server Object Internals:

## Data Structures

struct | SmlWriteContext
struct | SmlDsSession
struct | SmlDsServer

## Typedefs

typedef void(* | SmlDsSessionMapCb) (SmlDsSession *dsession, SmlLocation *orig, SmlLocation *mapped, void *userdata)
typedef struct SmlWriteContext | SmlWriteContext

## Functions

void | smlDsSessionRecvAlert (SmlSession *session, SmlCommand *cmd, void *userdata)
void | smlDsSessionRecvSync (SmlSession *session, SmlCommand *cmd, void *userdata)
void | smlDsSessionRecvChange (SmlSession *session, SmlCommand *cmd, void *userdata)
void | smlDsSessionRecvMap (SmlSession *session, SmlCommand *cmd, void *userdata)
SmlDsSession * | smlDsServerRecvAlert (SmlDsServer *server, SmlSession *session, SmlCommand *cmd)
SmlDsSession * | smlDsSessionNew (SmlDsServer *server, SmlSession *session, SmlError **error)
void | smlDsSessionFree (SmlDsSession *dsession)
void | smlDsSessionGetMapping (SmlDsSession *dsession, SmlDsSessionMapCb mapCallback, void *userdata)

## Detailed Description

The public part.